﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;

namespace EHEC_Server
{
    /// <summary>
    /// This clas converts the object from db model to the needs of Json 
    /// conversion for Clusteranalysis.
    /// </summary>
    public class ClusterOrigin
    {
        public int Id { get; set; }
        public string Name { get; set; }
        public string Nodetype { get; set; }

        public ClusterOrigin() { }
        public List<ClusterOrigin> GetClusterOrigins()
        {
            Origin origin = new Origin();
            List<Origin> origins = new List<Origin>();
            origins = origin.GetAllOrigins();
            List<ClusterOrigin> clusterOrigins = new List<ClusterOrigin>();
            foreach (Origin element in origins)
            {
                ClusterOrigin clusterOrigin = new ClusterOrigin
                {
                    Id = element.OriginId,
                    Nodetype = "origin",
                    Name = element.City
                };
                clusterOrigins.Add(clusterOrigin);
            };
            return clusterOrigins;
        }
    }
}