﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;

namespace EHEC_Server
{
    /// <summary>
    /// This clas converts the object from db model to the needs of Json 
    /// conversion for Clusteranalysis.
    /// </summary>
    public class ClusterPatient
    {
        public int Id { get; set; }
        public string Name { get; set; }
        public string Nodetype { get; set; }

        public ClusterPatient() { }
        public List<ClusterPatient> GetClusterPatients()
        {
            Patient patient = new Patient();
            List<Patient> patients = new List<Patient>();
            patients = patient.GetAllPatients();
            List<ClusterPatient> clusterPatients = new List<ClusterPatient>();
            foreach (Patient element in patients)
            {
                ClusterPatient clusterPatient = new ClusterPatient
                {
                    Id = element.PatientId,
                    Nodetype = "patient",
                    Name = element.FirstName + " " + element.LastName
                };
                clusterPatients.Add(clusterPatient);
            }
            return clusterPatients;
        }
    }   
}