﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using Newtonsoft.Json;

namespace EHEC_Server
{
    public class JsonModel
    { 
        public IList<JsonNodeModel> Node { get; set; } = new List<JsonNodeModel>();
        public IList<JsonEdgesModel> Edge { get; set; } = new List<JsonEdgesModel>();
    }
    public class JsonNodeModel
    {
        public int Id { get; set; }
        public string Nodetype { get; set; }
        public string Name { get; set; }
    }
    public class JsonEdgesModel
    {
        public int Source { get; set; }
        public int Target { get; set; }
        public string EdgeType { get; set; }
    }

}